Bug 991074 - [abrt] Unnecessary crash due to g_assert() call
[abrt] Unnecessary crash due to g_assert() call
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-data-server (Show other bugs)
6.4
x86_64 Unspecified
unspecified Severity unspecified
: beta
: ---
Assigned To: Matthew Barnes
Desktop QE
abrt_hash:341a0d0e908259ee49e3716aa2d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 10:14 EDT by David Jaša
Modified: 2014-01-02 05:50 EST (History)
2 users (show)

See Also:
Fixed In Version: evolution-data-server-2.32.3-12.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 23:55:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (20.96 KB, text/plain)
2013-08-01 10:20 EDT, David Jaša
no flags Details

  None (edit)
Description David Jaša 2013-08-01 10:14:37 EDT
Description of problem:
happens most probably on unclean exit when e-c-f gets sigterm from some external process.

Version-Release number of selected component:
evolution-data-server-2.32.3-11.1.el6

Additional info:
libreport version: 2.0.9
abrt_version:   2.0.8
backtrace_rating: 3
cmdline:        /usr/libexec/e-calendar-factory
crash_function: cal_backend_finalize
kernel:         2.6.32-381.el6.x86_64

truncated backtrace:
:Thread no. 1 (3 frames)
: #4 cal_backend_finalize at e-cal-backend.c
: #6 g_hash_table_foreach at /lib64/libglib-2.0.so.0
: #7 e_data_cal_factory_finalize at e-data-cal-factory.c
Comment 2 David Jaša 2013-08-01 10:20:18 EDT
Created attachment 781626 [details]
backtrace
Comment 3 Milan Crha 2013-08-06 12:59:40 EDT
(In reply to David Jaša from comment #0)
> happens most probably on unclean exit when e-c-f gets sigterm from some
> external process.

True, true, I was just about to fix this (remove the assert), while I found your bug. I do not know why I wasn't auto-CC'ed in the first place. I definitely should be.

Reproducer:
a) kill all evolution processes (e-calendar-factory, e-addressbook-factory,
   evolution-alarm-notify, and evolution itself)
b) run evolution in calendar view:
   $ evolution -c calendar
c) let it show events, the best if there are any "slow" calendars, like
   the Zimbra calendar accessed through CalDAV
d) run --force-shutdown to close the processes
   $ evolution --force-shutdown

Evolution is closed, the same as other processes, but the calendar factory may eventually crash with this message (it's not shown in the David's backtrace):

> Server is up and running...
> Received quit signal...
> **
> libedata-cal:ERROR:e-cal-backend.c:269:cal_backend_finalize: assertion
> failed: (priv->clients == NULL)
> Aborted (core dumped)
Comment 8 errata-xmlrpc 2013-11-20 23:55:20 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.